Pin/unpin an event

Base URL
https://{kibana_url}
  • PATCH /api/pinned_event
  • PATCH /s/{space_id}/api/pinned_event
Auth

Pin/unpin an event to/from an existing Timeline.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

The pinned event to add or unpin, along with additional metadata.

eventId string required

The _id of the associated event for this pinned event.

pinnedEventId string nullable

The savedObjectId of the pinned event you want to unpin.

timelineId string required

The savedObjectId of the timeline that you want this pinned event unpinned from.

Response

Indicates the event was successfully pinned to or unpinned from the Timeline.

application/json
data object required
persistPinnedEventOnTimeline union oneOf required nullable
One of:
created number nullable

The time the pinned event was created, using a 13-digit Epoch timestamp.

createdBy string nullable

The user who created the pinned event.

updated number nullable

The last time the pinned event was updated, using a 13-digit Epoch timestamp

updatedBy string nullable

The user who last updated the pinned event

eventId string required

The _id of the associated event for this pinned event.

timelineId string required

The savedObjectId of the timeline that this pinned event is associated with

pinnedEventId string required

The savedObjectId of this pinned event

version string required

The version of this pinned event

code number required
message string
Base URL
https://{kibana_url}